#include <bits/stdc++.h> 
using namespace std;
#define ll long long
int main(){
    ll p,q,r,l1,r1,br=0;
    cin>>p>>q>>r>>l1>>r1;
    for(int i=l1;i<=r1;++i){
        int e=i;
        int e1=e/p;
        if(e%p!=0){
        	e1+=1;
		}
		int e2=e/q;
        if(e%q!=0){
        	e2+=1;
		}
		int e3=e/r;
        if(e%r!=0){
        	e3+=1;
		}
        if(e1+e2+e3<=e){
            ++br;
        }
        e1=0;
        e2=0;
        e3=0;
    }
    cout<<br;
    return 0;
}